Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Rice Pastry API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## rice.pastry.transport
Class PMessageReceiptImpl

    java.lang.Object
      rice.pastry.transport.PMessageReceiptImpl

All Implemented Interfaces:
  MessageRequestHandle<NodeHandle,Message>, Cancellable, PMessageReceipt

    public class PMessageReceiptImpl

extends java.lang.Object
implements PMessageReceipt

Constructor Summary
`PMessageReceiptImpl(Message msg)`

Method Summary
`boolean` | `cancel()`
`NodeHandle` | `getIdentifier()`
`Message` | `getMessage()`
`java.util.Map<java.lang.String,java.lang.Object>` | `getOptions()`
`void` | `setInternal(MessageRequestHandle<NodeHandle,RawMessage> name)`
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### PMessageReceiptImpl

    public PMessageReceiptImpl(Message msg)

Method Detail

### getIdentifier

    public NodeHandle getIdentifier()

  Specified by:
    `getIdentifier` in interface `MessageRequestHandle<NodeHandle,Message>`
  Specified by:
    `getIdentifier` in interface `PMessageReceipt`

### getMessage

    public Message getMessage()

  Specified by:
    `getMessage` in interface `MessageRequestHandle<NodeHandle,Message>`
  Specified by:
    `getMessage` in interface `PMessageReceipt`

### getOptions

    public java.util.Map<java.lang.String,java.lang.Object> getOptions()

  Specified by:
    `getOptions` in interface `MessageRequestHandle<NodeHandle,Message>`
  Specified by:
    `getOptions` in interface `PMessageReceipt`

### cancel

    public boolean cancel()

  Specified by:
    `cancel` in interface `Cancellable`
  Returns:
    true if it was cancelled, false if it was already complete, or cancelled.

### setInternal

    public void setInternal(MessageRequestHandle<NodeHandle,RawMessage> name)

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Rice Pastry API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2005 - Rice Pastry.